Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.collections.map
Class AbstractLinkedMap.LinkIterator

    java.lang.Object
      |
      +--org.apache.commons.collections.map.AbstractLinkedMap.LinkIterator

All Implemented Interfaces:
  Iterator, OrderedIterator, ResettableIterator

Direct Known Subclasses:
  AbstractLinkedMap.EntrySetIterator, AbstractLinkedMap.LinkMapIterator, AbstractLinkedMap.ValuesIterator

Enclosing class:
  AbstractLinkedMap

protected abstract static class AbstractLinkedMap.LinkIterator
extends Object
implements OrderedIterator, ResettableIterator

Base Iterator that iterates in link order.

Field Summary
`protected int` | `expectedModCount` The modification count expected
`protected AbstractLinkedMap.LinkEntry` | `last` The current (last returned) entry
`protected AbstractLinkedMap.LinkEntry` | `next` The next entry
`protected AbstractLinkedMap` | `parent` The parent map

Constructor Summary
`protected` | `AbstractLinkedMap.LinkIterator(AbstractLinkedMap parent)`

Method Summary
`protected AbstractLinkedMap.LinkEntry` | `currentEntry()`
`boolean` | `hasNext()`
`boolean` | `hasPrevious()` Checks to see if there is a previous entry that can be iterated to.
`protected AbstractLinkedMap.LinkEntry` | `nextEntry()`
`protected AbstractLinkedMap.LinkEntry` | `previousEntry()`
`void` | `remove()`
`void` | `reset()` Resets the iterator back to the position at which the iterator was created.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.commons.collections.OrderedIterator
`previous`

Methods inherited from interface java.util.Iterator
`next`

Field Detail

### parent

    protected final AbstractLinkedMap parent

  The parent map

### last

    protected AbstractLinkedMap.LinkEntry last

  The current (last returned) entry

### next

    protected AbstractLinkedMap.LinkEntry next

  The next entry

### expectedModCount

    protected int expectedModCount

  The modification count expected

Constructor Detail

### AbstractLinkedMap.LinkIterator

    protected AbstractLinkedMap.LinkIterator(AbstractLinkedMap parent)

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `Iterator`

### hasPrevious

    public boolean hasPrevious()

  Description copied from interface: `OrderedIterator`
  Checks to see if there is a previous entry that can be iterated to.

  Specified by:
    `hasPrevious` in interface `OrderedIterator`
  Returns:
    `true` if the iterator has a previous element

### nextEntry

    protected AbstractLinkedMap.LinkEntry nextEntry()

### previousEntry

    protected AbstractLinkedMap.LinkEntry previousEntry()

### currentEntry

    protected AbstractLinkedMap.LinkEntry currentEntry()

### remove

    public void remove()

  Specified by:
    `remove` in interface `Iterator`

### reset

    public void reset()

  Description copied from interface: `ResettableIterator`
  Resets the iterator back to the position at which the iterator was created.

  Specified by:
    `reset` in interface `ResettableIterator`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2004 Apache Software Foundation. All Rights Reserved.